#include <stdio.h>
#include <stdlib.h>
#include "common.h"

// To compile:
// gcc -Og -Wall -o cpu cpu.c -lpthread

int main(int argc, char *argv[]) {
  if (argc != 2) {
    fprintf(stderr, "usage: cpu <string>\n");
    exit(1);
  }
  char *str = argv[1];
  
  while (1) {
    printf("%s\n", str);
    Spin(1); // Repeatedly checks the time and returns after one second
  }
  return 0;
}
