#include <unistd.h>
#include <stdio.h>
#include <stdlib.h>
#include <assert.h>
#include "common.h"

// To compile: gcc -Og -Wall –no-pie -o mem mem.c -lpthread

int value;

int main(int argc, char *argv[]) {
  if (argc != 2) { 
    fprintf(stderr, "usage: mem <value>\n"); 
    exit(1); 
  } 

  printf("\n(pid:%d) addr of value: %p\n", (int) getpid(), &value);
  value = atoi(argv[1]); // assign value to addr stored in p
  while (1) {
    Spin(1);
    value = value + 1;
    printf("(pid:%d) value of p: %d\n", getpid(), value);
  }
  
  return 0;
}
